/**
 * JASMINe
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:$
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.model.discovery;

import org.eclipse.osgi.util.NLS;


public class Messages extends NLS {


	static {
		NLS.initializeMessages("messages", Messages.class); //$NON-NLS-1$
	}


	private Messages() {
	}

	public static String JasmineDiscoveryCreationError;

	public static String JasmineDiscoveryMessageCreationError;

	public static String ResourceDialog_title;

	public static String ResourceURIs_label;

	public static String BrowseFileSystem_label;

	public static String BrowseWorkspace_label;

	public static String FolderSelection_title;

	public static String FileSelection_title;

	public static String NewFolder_label;

	public static String FileName_label;

	public static String NewFile_title;

	public static String LoadResourceDialog_title;

}
