<?xml version="1.0"?>
<!--
  Speedo: an implementation of JDO compliant personality on top of JORM generic
  I/O sub-system.
  Copyright (C) 2001-2004 France Telecom R&D
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Contact: sebastien.chassandebarrioz@rd.francetelecom.com
 
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" encoding="ISO-8859-1"/>
<xsl:include href="common.xsl"/>
<xsl:include href="xalan-ext.xsl"/>

<xsl:param name="html.stylesheet">stylesheet.css</xsl:param>
<xsl:param name="html.stylesheet.type">text/css</xsl:param>
<xsl:param name="head.title">serverbydomain.title</xsl:param>

<!-- Main template -->
<xsl:template match="/">
	<html><xsl:call-template name="head"/><body>
		<h1 align="center">Speedo Console</h1>
        <center><form action="mbean">
        <input type="hidden" name="objectname" value="speedo:name=connection"/>
		<fieldset><legend>Connection</legend><div><table>
   			<tr> 
				<td align="right"><b>Login: </b></td>
				<td><input name="login" TYPE="text"/></td>
			</tr>
			<tr>
				<td align="right"><b>password:</b></td>
				<td><input name="password" TYPE="password"/></td>
			</tr>
   		</table></div>
        <input style="pad-right: 1em;" type="submit" value="Connect"/>
		</fieldset></form></center>	
	</body></html>
</xsl:template>

</xsl:stylesheet>

