/**
 * JASMINe
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: jasmine@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jasmine.ui.logs;

import java.util.Date;

public class Filter {
    private Date begin;

    private Date end;

    private boolean date = false;

    private boolean info = true;

    private boolean warn = true;

    private boolean alert = true;

    private boolean action = true;

    public Filter() {
        super();
        begin = new Date();
        end = new Date();
    }

    public boolean isAction() {
        return action;
    }

    public void setAction(boolean actiond) {
        this.action = actiond;
    }

    public boolean isAlert() {
        return alert;
    }

    public void setAlert(boolean alertd) {
        this.alert = alertd;
    }

    public Date getBegin() {
        return begin;
    }

    public void setBegin(Date begin) {
        this.begin = begin;
    }

    public Date getEnd() {
        return end;
    }

    public void setEnd(Date end) {
        this.end = end;
    }

    public boolean isInfo() {
        return info;
    }

    public void setInfo(boolean infod) {
        this.info = infod;
    }

    public boolean isWarn() {
        return warn;
    }

    public void setWarn(boolean warnd) {
        this.warn = warnd;
    }

    public boolean isDate() {
        return date;
    }

    public void setDate(boolean date) {
        this.date = date;
    }

}
